Page({
  data: {
    statusBarHeight: 44, // 导航高度
    modalY: 0, // 楼栋选择top值
    unitModalY: 0, // 单元选择top值
    addressList: [{
        buildingId: '1',
        descr: '世界大厦A座'
      },
      {
        buildingId: '2',
        descr: '世界大厦B座'
      },
      {
        buildingId: '3',
        descr: '其他'
      }
    ], // 楼栋列表
    unitList: [{
      buildingId: '1',
      descr: '1单元'
    },
    {
      buildingId: '2',
      descr: '2单元'
    },
    {
      buildingId: '3',
      descr: '其他'
    }
  ], // 楼栋列表
    addressSelectItem: {}, // 当道选择的楼栋对象
    unitItem: {}, // 单元号
    houseNumber: "", // 门牌号
  },
  // 更新当前选择的单元
  setunitItem(e){
    const index = e.currentTarget.dataset['index'];
    this.setData({
      unitItem: this.data.unitList[index],
      unitModalY: 0, // 单元选择top值
    })
  },
  // 更新当前选择的楼栋
  setAddressItem(e) {
    const index = e.currentTarget.dataset['index'];
    this.setData({
      addressSelectItem: this.data.addressList[index],
      modalY: 0, // 楼栋选择top值
    })
  },
  // 更新门牌号的值
  bindKeyHouseNumber(e) {

  },
  // 获取单元元素信息
  showSelectUnit(){
    const _this = this;
    wx.createSelectorQuery().selectAll('#information-unit-btn-wrap').boundingClientRect(function (rect) {
      // console.log(rect[0])
      // 根据按钮位置计算下拉框top值
      _this.setData({
        unitModalY: _this.data.unitModalY ? 0 : parseInt(rect[0].top) + parseInt(rect[0].height),
        modalY:0
      })
    }).exec()
  },
  // 获取楼栋元素信息
  showSelectAddress(e) {
    const _this = this;
    wx.createSelectorQuery().selectAll('#information-address-btn-wrap').boundingClientRect(function (rect) {
      // console.log(rect[0])
      // 根据按钮位置计算下拉框top值
      _this.setData({
        modalY: _this.data.modalY ? 0 : parseInt(rect[0].top) + parseInt(rect[0].height),
        unitModalY:0
      })
    }).exec()
  },
  onLoad() {
    const _this = this;
    // 获取设备的信息  
    let systemInfo = wx.getSystemInfoSync();
    // 获取信号区高度, 并设置标题高度
    let statusBarHeight = systemInfo['statusBarHeight'];
    // console.log(systemInfo.platform);
    if (systemInfo.platform === 'andorid') {
      statusBarHeight = statusBarHeight + 10;
    } else if (systemInfo.platform === 'ios') {
      statusBarHeight = statusBarHeight + 6;
    } else if (systemInfo.platform === 'devtools') {
      statusBarHeight = statusBarHeight + 8;
    } else {
      statusBarHeight = statusBarHeight;
    }
    _this.setData({
      statusBarHeight
    });
    // 获取用户授权信息
    wx.getSetting({
      success(res) {
        // 校验用户是否已经授权
        if (res.authSetting['scope.userInfo']) {
          // 必须是在用户已经授权的情况下调用
          wx.getUserInfo({
            success: function (res) {
              console.log(res)
            }
          })
        } else {
          // 如果未授权则关闭所有页面，跳转至授权登录页
          wx.reLaunch({
            url: '/pages/authorization/authorization'
          })
        }
      }
    });
    // 失效页面
    // wx.reLaunch({
    //   url: '/pages/pagefailure/pagefailure'
    // })
  },
  // 跳转至答题页面
  getUserProfile() {
    // 信息登记完成，跳转至答题录页
    wx.navigateTo({
      url: '/pages/questionnaire/questionnaire'
    })
  },
  // 分享朋友
  onShareAppMessage: (res) => {
    return {
      title: '业主思维',
      path: '/pages/basicInformation/basicInformation',
      imageUrl: "http://8.140.133.55:8096/public/uploadfile/logo.png",
      success: (res) => {
        console.log("转发成功", res);
      },
      fail: (res) => {
        console.log("转发失败", res);
      }
    }
  },
  // 分享朋友圈
  onShareTimeline: (res) => {
    return {
      title: '业主思维',
      path: '/pages/basicInformation/basicInformation',
      imageUrl: "http://8.140.133.55:8096/public/uploadfile/logo.png",
      success: (res) => {
        console.log("转发成功", res);
      },
      fail: (res) => {
        console.log("转发失败", res);
      }
    }
  },
})